---
canonical_url: "https://docs.composio.dev/reference/api-reference/organization-management/getOrgList"
markdown_url: "https://docs.composio.dev/reference/api-reference/organization-management/getOrgList.md"
product: "platform"
version: "3.1"
last_updated: null
---

# List organizations

**Documentation:** /reference/api-reference/organization-management/getOrgList

> **API version:** This page documents Composio REST API v3.1, the current version, at `https://backend.composio.dev/api/v3.1`. `https://backend.composio.dev/api/v3` is the previous version and remains supported.

Retrieves a list of organizations that the authenticated user has access to. This includes organizations where the user is a member with any role.

---

## GET `/api/v3.1/org/list`

**Endpoint:** `https://backend.composio.dev/api/v3.1/org/list`

**Summary:** List organizations

Retrieves a list of organizations that the authenticated user has access to. This includes organizations where the user is a member with any role.

### Authentication

**UserApiKeyAuth** - API Key in `header` header `x-user-api-key`

### Query Parameters

- `limit` (integer): Number of items per page, max allowed is 50
- `cursor` (string): Cursor for pagination. The cursor is a base64 encoded string of the page and limit. The page is the page number and the limit is the number of items per page. The cursor is used to paginate through the items. The cursor is not required for the first page.

### Responses

#### 200 - Successfully retrieved list of organizations with pagination.

**Response Schema:**

- `organizations` (array<object>) *(required)*
  - Array items:
    - `id` (string (orgId)) *(required)*: Unique identifier for the organization
    - `name` (string) *(required)*: Name of the organization
    - `created_at` (string) *(required)*: When the organization was created
    - `updated_at` (string) *(required)*: When the organization was last updated
- `next_cursor` (string,null)
- `total_pages` (number) *(required)*
- `current_page` (number) *(required)*
- `total_items` (number) *(required)*

**Example Response:**

```json
{
  "organizations": [
    {
      "id": "string",
      "name": "string",
      "created_at": "string",
      "updated_at": "string"
    }
  ],
  "next_cursor": null,
  "total_pages": 1,
  "current_page": 1,
  "total_items": 1
}
```

#### 400 - Bad request. This may occur if there are invalid query parameters or the request is malformed.

**Response Schema:**

- `error` (object) *(required)*
  - `message` (string) *(required)*
  - `code` (number) *(required)*
  - `slug` (string) *(required)*
  - `status` (number) *(required)*
  - `request_id` (string)
  - `suggested_fix` (string)
  - `errors` (array<string>)

#### 401 - Unauthorized. Authentication is required or the provided credentials are invalid.

**Response Schema:**

- `error` (object) *(required)*
  - `message` (string) *(required)*
  - `code` (number) *(required)*
  - `slug` (string) *(required)*
  - `status` (number) *(required)*
  - `request_id` (string)
  - `suggested_fix` (string)
  - `errors` (array<string>)

#### 404 - Not found. The user or organization was not found.

**Response Schema:**

- `error` (object) *(required)*
  - `message` (string) *(required)*
  - `code` (number) *(required)*
  - `slug` (string) *(required)*
  - `status` (number) *(required)*
  - `request_id` (string)
  - `suggested_fix` (string)
  - `errors` (array<string>)

#### 500 - Internal server error. An unexpected error occurred while processing the request.

**Response Schema:**

- `error` (object) *(required)*
  - `message` (string) *(required)*
  - `code` (number) *(required)*
  - `slug` (string) *(required)*
  - `status` (number) *(required)*
  - `request_id` (string)
  - `suggested_fix` (string)
  - `errors` (array<string>)

### Example cURL Request

```bash
curl -X GET "https://backend.composio.dev/api/v3.1/org/list" \
  -H "x-api-key: YOUR_API_KEY"
```

---

## REST API version

The current REST API version is **v3.1**, served at `https://backend.composio.dev/api/v3.1`. Prefer it for new code and new examples.

`https://backend.composio.dev/api/v3` is the previous version. It is frozen with pinned tool-version defaults and remains supported — existing v3 integrations keep working and do not need to migrate.